@import url(https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&display=swap);


#cssmenu,
#cssmenu ul,
#cssmenu ul li:not(.dropdown-list-item),
#cssmenu ul li:not(.dropdown-list-item) a,
#cssmenu #menu-button {
    margin: 0;
    padding: 0;
    border: 0;
    list-style: none;
    line-height: 1;
    display: block;
    position: relative;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

#cssmenu {
    /*margin-top: 10px;*/
}

#cssmenu .menulast a:after {
    font-family: FontAwesome;
    content: "\f055";
    position: absolute;
    left: 6px;
}

#cssmenu .menulast a {
    background: #c4a03f;
    color: #fff !important;
    padding: 15px 10px 15px 25px !important;
    margin-top: 10px;
    border-radius: 3px;
}

#cssmenu .menulast a:hover {
    background: #333;
}

#cssmenu .menulast:last-child {
    float: right;
}

/*#cssmenu:after,*/
/*#cssmenu > ul:after {*/
/*  content: ".";*/
/*  display: block;*/
/*  clear: both;*/
/*  visibility: hidden;*/
/*  line-height: 0;*/
/*  height: 0;*/
/*}*/
#cssmenu #menu-button {
    display: none;
}

#cssmenu {
    font-family: 'Lato', sans-serif;
}

#cssmenu > ul > li {
    float: left;
}

#cssmenu.align-center > ul {
    font-size: 0;
    text-align: center;
}

#cssmenu.align-center > ul > li {
    display: inline-block;
    float: none;
}

#cssmenu.align-center ul ul {
    text-align: left;
}

#cssmenu.align-right > ul > li {
    float: right;
}

#cssmenu > ul > li > a {
    padding: 20px 17px;
    font-size: 15px;
    font-family: 'Lato', sans-serif;
    text-decoration: none;
    color: #fff;
    text-transform: uppercase;
    font-weight: bold;
}

@media (min-width: 768px) {
    #cssmenu > ul > li > a {
        padding: 20px 14.2px;
    }

    #cssmenu > ul > li:last-child > a {
        /*  padding-right: 0;*/
    }
}

.home-btn a {
    background: #00adef !important;
    padding: 15.5px 20px !important;
}

.home-btn i {
    font-size: 26px;
    color: #fff;
}


.has-sub li a {
    background: white;
    color: #000 !important;
}

#menu-button.has-sub li a:hover {
    /*background:#BE1E2D !important;*/
    color: #fff !important;
}


#cssmenu > ul > li:first-child a {
    /*border-left: 1px solid #ccc;*/
}

#cssmenu > ul > li:hover > a {
    color: #fff;
    /*background-color: #0F8DCB;*/
}


/*#cssmenu > ul > li.has-sub > a {*/
/*  padding-right: 30px;*/
/*}*/
#cssmenu > ul > li.has-sub > a:after {
    /*position: absolute;
    top: 25px;
    right: 11px;
    width: 8px;
    height: 2px;
    display: block;
    background-color: #373737;
    content: '';*/
}

#cssmenu > ul > li.has-sub > a:before {
    /*position: absolute;
    top: 22px;
    right: 14px;
    display: block;
    width: 2px;
    height: 8px;
    background-color: #373737;
    content: '';
    -webkit-transition: all .25s ease;
    -moz-transition: all .25s ease;
    -ms-transition: all .25s ease;
    -o-transition: all .25s ease;
    transition: all .25s ease;*/
}

#cssmenu > ul > li.has-sub:hover > a:before {
    top: 23px;
    height: 0;
}

#cssmenu ul ul:not(.dropdown-list) {
    position: absolute;
    margin-top: 10px;
    left: auto;
    right: 0;
    background: #fff;
    z-index: 99999;
    border: 1px solid oklch(0.922 0 0);
    box-shadow: 0 0 #0000, 0 0 #0000, 0 4px 6px -1px rgb(0 0 0/0.1), 0 2px 4px -2px rgb(0 0 0/0.1);
    border-radius: 10px;
    padding: 15px 20px;
    min-width: 200px;

    visibility: hidden;
    transform: scale(.95);
    opacity: 0;
    transition: 300ms ease all;
}

#cssmenu :not(.mega_inner > li:not(:has(.has-sub))):hover > ul {
    visibility: visible;
    transform: scale(1);
    opacity: 1;
}

#cssmenu.align-right ul ul {
    text-align: right;
}

#cssmenu ul ul:not(.dropdown-list) li {
    max-width: max-content;
    height: auto;
    margin-bottom: 5px;
}

.subnmenu {
    border-left: 3px solid #747474 !important;
}

.mega__icon {
    cursor: pointer;
}

#cssmenu.align-right li:hover > ul {
    left: auto;
    right: 0;
}

#cssmenu ul ul:not(.dropdown-list) ul {
    margin-top: 0;
    position: relative;
    padding: 0 10px;
    border: 0;
    box-shadow: none;
    margin-block: 5px;
    transition-delay: 0;
    transition: none;
    height: 0;
}

#cssmenu li ul li.has-sub:focus-within > ul {
    height: auto;
    transition-delay: 300ms;
    transition: 300ms ease all;
    visibility: visible;
    transform: scale(1);
    opacity: 1;
}

#cssmenu.align-right ul ul ul {
    margin-left: 0;
    margin-right: 100%;
}

#cssmenu ul ul:not(.dropdown-list) li a {
    border-radius: 5px;
    border: 2px solid white;
    padding: 6px 8px;
    width: max-content;
    font-size: 15px;
    text-decoration: none;
    color: #000;
    font-weight: 700;
    transition: 300ms ease all;
    box-shadow: 0 0 0 2px transparent;
    display: flex;
    align-items: stretch;
    justify-content: stretch;
}

#cssmenu ul ul:not(.dropdown-list) li:last-child > a,
#cssmenu ul ul:not(.dropdown-list) li.last-item > a {
    border-bottom: 0;
}

#cssmenu ul ul:not(.dropdown-list) li:hover > a,
#cssmenu ul ul:not(.dropdown-list) li a:hover {
    background-color: oklch(0.97 0 0);
    box-shadow: 0 0 0 2px #009EE3;
    color: #009EE3 !important;
}

/*#cssmenu ul ul:not(.dropdown-list) li.has-sub > a:after {*/
/*  position: absolute;*/
/*  top: 16px;*/
/*  right: 11px;*/
/*  width: 8px;*/
/*  height: 2px;*/
/*  display: block;*/
/*  background: #000;*/
/*  content: '';*/
/*}*/
#cssmenu.align-right ul ul li.has-sub > a:after {
    right: auto;
    left: 11px;
}

#cssmenu ul ul:not(.dropdown-list) li > a::before {
    content: '';
    display: inline-flex;
    position: relative;
    left: 0;
    width: 5px;
    height: 5px;
    background: #000;
    align-self: center;
    border-radius: 50%;
    margin-right: 7px;
}

#cssmenu.align-right ul ul li.has-sub > a:before {
    right: auto;
    left: 14px;
}

/*#cssmenu ul ul:not(.dropdown-list) > li.has-sub:hover > a:before {*/
/*  top: 17px;*/
/*  height: 0;*/
/*}*/
@media all and (max-width: 768px), only screen and (-webkit-min-device-pixel-ratio: 2) and (max-width: 1024px), only screen and (min--moz-device-pixel-ratio: 2) and (max-width: 1024px), only screen and (-o-min-device-pixel-ratio: 2/1) and (max-width: 1024px), only screen and (min-device-pixel-ratio: 2) and (max-width: 1024px), only screen and (min-resolution: 192dpi) and (max-width: 1024px), only screen and (min-resolution: 2dppx) and (max-width: 1024px) {

    #cssmenu ul {
        background: #151515;
        z-index: 9999999;
    }

    .border-menu {
        position: absolute;
        right: -9px;
        width: 125%;
    }

    .dropdown-toggle::after {
        display: inline-block;
        margin-left: 0.255em;
        vertical-align: 0.255em;
        content: "";
        border-top: 0.3em solid;
        border-right: 0.3em solid transparent;
        border-bottom: 0;
        border-left: 0.3em solid transparent;
    }

    #cssmenu .menulast a:after {
        margin-left: 2px;
    }

    #cssmenu > ul > li:first-child a {
        border-left: 0px solid #ccc;
    }

    #cssmenu > ul > li > a {
        border-right: 0px solid #ccc;
        color: #000;
    }

    #cssmenu > ul > li:hover > a {
        background: transparent;
        color: #000;
    }

    #cssmenu ul ul:not(.dropdown-list) li:hover > a, #cssmenu ul ul:not(.dropdown-list) li a:hover {
        background: transparent;
        color: #000;
    }

    #cssmenu ul ul:not(.dropdown-list) li:hover > a, #cssmenu ul ul:not(.dropdown-list) li.active > a {
        color: #000 !important;
    }

    #cssmenu {
        width: 100%;
    }

    #cssmenu ul {
        width: 100%;
        display: none;
    }

    #cssmenu.align-center > ul {
        text-align: left;
    }

    #cssmenu ul li:not(.dropdown-list-item) {
        width: 100%;
        /*border-top: 1px solid rgba(120, 120, 120, 0.2);*/
    }

    #cssmenu ul ul:not(.dropdown-list) li,
    #cssmenu li:hover > ul > li {
        height: auto;
    }

    #cssmenu ul li:not(.dropdown-list-item) a,
    #cssmenu ul ul:not(.dropdown-list) li a {
        width: 100%;
        border-bottom: 0;
    }

    #cssmenu > ul > li {
        float: none;
    }

    #cssmenu ul ul:not(.dropdown-list) li a {
        padding-left: 25px;
    }

    #cssmenu ul ul:not(.dropdown-list) ul li a {
        padding-left: 35px;
    }

    #cssmenu ul ul:not(.dropdown-list) li a {
        color: #000;
        /*background: none;*/
    }

    #cssmenu ul ul:not(.dropdown-list) li:hover > a,
    #cssmenu ul ul:not(.dropdown-list) li.active > a {
        color: #000;
    }

    #cssmenu ul ul:not(.dropdown-list),
    #cssmenu ul ul:not(.dropdown-list) ul,
    #cssmenu.align-right ul ul {
        position: relative;
        left: 0;
        width: 100%;
        margin: 0;
        text-align: left;
    }

    #cssmenu > ul > li.has-sub > a:after,
    #cssmenu > ul > li.has-sub > a:before,
    #cssmenu ul ul:not(.dropdown-list) > li.has-sub > a:after,
    #cssmenu ul ul:not(.dropdown-list) > li.has-sub > a:before {
        display: none;
    }

    #cssmenu #menu-button {
        display: block;
        padding: 26px;
        color: #fff;
        cursor: pointer;
        font-size: 16px;
        text-transform: uppercase;
        font-weight: 700;
    }

    #cssmenu #menu-button:after {
        position: absolute;
        top: 28px;
        right: 17px;
        display: block;
        height: 4px;
        width: 20px;
        border-top: 2px solid #fff;
        border-bottom: 2px solid #fff;
        content: '';
    }

    #cssmenu #menu-button:before {
        position: absolute;
        top: 20px;
        right: 17px;
        display: block;
        height: 4px;
        width: 20px;
        background: #fff;
        content: '';
    }

    #cssmenu #menu-button.menu-opened:after {
        top: 23px;
        /*border: 0;*/
        height: 2px;
        width: 15px;
        background: #fff;
        -webkit-transform: rotate(45deg);
        -moz-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        -o-transform: rotate(45deg);
        transform: rotate(45deg);
    }

    #cssmenu #menu-button.menu-opened:before {
        top: 23px;
        background: #fff;
        width: 15px;
        -webkit-transform: rotate(-45deg);
        -moz-transform: rotate(-45deg);
        -ms-transform: rotate(-45deg);
        -o-transform: rotate(-45deg);
        transform: rotate(-45deg);
    }

    #cssmenu .submenu-button {
        position: absolute;
        z-index: 99;
        right: 0;
        top: 0;
        display: block;
        border-left: 1px solid #2222221c;
        height: 53px;
        width: 46px;
        cursor: pointer;
    }

    #cssmenu .submenu-button.submenu-opened {
        background: #fff;
    }

    #cssmenu ul ul:not(.dropdown-list) .submenu-button {
        height: 34px;
        width: 34px;
    }

    #cssmenu .submenu-button:after {
        position: absolute;
        top: 26px;
        right: 17px;
        width: 12px;
        height: 2px;
        display: block;
        background: #000;
        content: '';
    }

    #cssmenu ul ul:not(.dropdown-list) .submenu-button:after {
        top: 15px;
        right: 13px;
    }

    #cssmenu .submenu-button.submenu-opened:after {
        background: #FFFFFF !important;
    }

    #cssmenu .submenu-button:before {
        position: absolute;
        top: 21px;
        right: 22px;
        display: block;
        width: 2px;
        height: 13px;
        background: #222 !important;
        content: '';
    }

    #cssmenu ul ul:not(.dropdown-list) .submenu-button:before {
        top: 10px;
        right: 18px;
    }

    #cssmenu .submenu-button.submenu-opened:before {
        display: none;
    }
}
